apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.129.2.40"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.129.2.40"
          ],
          "default": true,
          "dns": {}
      }]
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"tekton.dev/v1alpha1","kind":"Task","metadata":{"annotations":{},"name":"zansible","namespace":"tekton-zace"},"spec":{"description":"Run ansible","params":[{"description":"Dir containing ansible.cfg","name":"ANSIBLE_CONFIG","type":"string"},{"description":"Location and name of playbook to run","name":"PLAYBOOK","type":"string"},{"description":"Location of inventory","name":"Inventory","type":"string"},{"default":"","description":"Location of dbbParms","name":"dbbParms","type":"string"}],"steps":[{"env":[{"name":"ANSIBLE_CONFIG","value":"$(params.ANSIBLE_CONFIG)"},{"name":"PLAYBOOK","value":"$(params.PLAYBOOK)"},{"name":"Inventory","value":"$(params.Inventory)"},{"name":"dbbParms","value":"$(params.dbbParms)"}],"image":"image-registry.openshift-image-registry.svc:5000/tekton-zace/zocpansible:1.0","name":"runansible","script":"ls -lrt /workspace/source/playbooks \n"}],"workspaces":[{"description":"Ansible files","name":"source"}]}}
    openshift.io/scc: privileged
    pipeline.openshift.io/started-by: kube:admin
    pipeline.tekton.dev/release: 6b5710c
    tekton.dev/ready: READY
  creationTimestamp: "2022-11-08T07:06:50Z"
  labels:
    app.kubernetes.io/managed-by: tekton-pipelines
    tekton.dev/memberOf: tasks
    tekton.dev/pipeline: pl-tt-zansible
    tekton.dev/pipelineRun: pl-tt-zansible-laqjjf
    tekton.dev/pipelineTask: demozansible
    tekton.dev/task: zansible
    tekton.dev/taskRun: pl-tt-zansible-laqjjf-demozansible
  name: pl-tt-zansible-laqjjf-demozansible-pod
  namespace: tekton-zace
  ownerReferences:
  - apiVersion: tekton.dev/v1beta1
    blockOwnerDeletion: true
    controller: true
    kind: TaskRun
    name: pl-tt-zansible-laqjjf-demozansible
    uid: b7c1f770-b752-455f-bd1c-8b64495cd9a0
  resourceVersion: "106831085"
  uid: c0ddfbdd-c328-4ebf-aec7-9d20ad950e0b
spec:
  activeDeadlineSeconds: 5389
  containers:
  - args:
    - -wait_file
    - /tekton/downward/ready
    - -wait_file_content
    - -post_file
    - /tekton/run/0/out
    - -termination_path
    - /tekton/termination
    - -step_metadata_dir
    - /tekton/run/0/status
    - -basic-git=gitibmcreds=https://github.ibm.com
    - -docker-cfg=ace-tekton-service-account-dockercfg-8m6cc
    - -docker-config=ibm-ace-creds
    - -docker-config=ocp-irreg-creds
    - -entrypoint
    - /tekton/scripts/script-0-gb9tv
    - --
    command:
    - /tekton/bin/entrypoint
    env:
    - name: ANSIBLE_CONFIG
      value: /tmp/ansibleCfg
    - name: PLAYBOOK
      value: /workspace/source/playbooks/zos-verify.yaml
    - name: Inventory
      value: /workspace/source/environments/dev
    - name: dbbParms
    - name: SSL_CERT_DIR
      value: /tekton-custom-certs:/etc/ssl/certs:/etc/pki/tls/certs:/system/etc/security/cacerts
    image: image-registry.openshift-image-registry.svc:5000/tekton-zace/zocpansible:1.0
    imagePullPolicy: IfNotPresent
    name: step-runansible
    resources: {}
    terminationMessagePath: /tekton/termination
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /workspace/source
      name: ws-zvtwn
    - mountPath: /tekton/scripts
      name: tekton-internal-scripts
      readOnly: true
    - mountPath: /tekton/downward
      name: tekton-internal-downward
      readOnly: true
    - mountPath: /tekton/creds
      name: tekton-creds-init-home-0
    - mountPath: /tekton/run/0
      name: tekton-internal-run-0
    - mountPath: /tekton/bin
      name: tekton-internal-bin
      readOnly: true
    - mountPath: /workspace
      name: tekton-internal-workspace
    - mountPath: /tekton/home
      name: tekton-internal-home
    - mountPath: /tekton/results
      name: tekton-internal-results
    - mountPath: /tekton/steps
      name: tekton-internal-steps
      readOnly: true
    - mountPath: /tekton/creds-secrets/gitibmcreds
      name: tekton-internal-secret-volume-gitibmcreds-tmbqv
    - mountPath: /tekton/creds-secrets/ace-tekton-service-account-dockercfg-8m6cc
      name: tekton-internal-secret-volume-ace-tekton-service-account--gdrbq
    - mountPath: /tekton/creds-secrets/ibm-ace-creds
      name: tekton-internal-secret-volume-ibm-ace-creds-f2h2h
    - mountPath: /tekton/creds-secrets/ocp-irreg-creds
      name: tekton-internal-secret-volume-ocp-irreg-creds-9n54m
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-blw9q
      readOnly: true
    - mountPath: /tekton-custom-certs/ca-bundle.crt
      name: config-trusted-cabundle-volume
      readOnly: true
      subPath: ca-bundle.crt
    - mountPath: /tekton-custom-certs/service-ca.crt
      name: config-service-cabundle-volume
      readOnly: true
      subPath: service-ca.crt
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: ibm-ace-creds
  - name: ace-tekton-service-account-dockercfg-8m6cc
  initContainers:
  - command:
    - /ko-app/entrypoint
    - init
    - /ko-app/entrypoint
    - /tekton/bin/entrypoint
    - step-runansible
    image: registry.redhat.io/openshift-pipelines/pipelines-entrypoint-rhel8@sha256:6bb87c537c6ba9878688a490a572acba495dd478202bacba4d83ca2a9406b580
    imagePullPolicy: IfNotPresent
    name: prepare
    resources: {}
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /tekton/bin
      name: tekton-internal-bin
    - mountPath: /tekton/steps
      name: tekton-internal-steps
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-blw9q
      readOnly: true
    workingDir: /
  - args:
    - -c
    - |
      scriptfile="/tekton/scripts/script-0-gb9tv"
      touch ${scriptfile} && chmod +x ${scriptfile}
      cat > ${scriptfile} << '_EOF_'
      IyEvYmluL3NoCnNldCAtZQpscyAtbHJ0IC93b3Jrc3BhY2Uvc291cmNlL3BsYXlib29rcyAK
      _EOF_
      /tekton/bin/entrypoint decode-script "${scriptfile}"
    command:
    - sh
    image: registry.redhat.io/ubi8/ubi-minimal@sha256:574f201d7ed185a9932c91cef5d397f5298dff9df08bc2ebb266c6d1e6284cd1
    imagePullPolicy: IfNotPresent
    name: place-scripts
    resources: {}
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /tekton/scripts
      name: tekton-internal-scripts
    - mountPath: /tekton/bin
      name: tekton-internal-bin
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-blw9q
      readOnly: true
  nodeName: ocpewrk2.plex75ocpe.pbm.ihost.com
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    runAsNonRoot: false
    runAsUser: 0
  serviceAccount: ace-tekton-service-account
  serviceAccountName: ace-tekton-service-account
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - emptyDir: {}
    name: tekton-internal-workspace
  - emptyDir: {}
    name: tekton-internal-home
  - emptyDir: {}
    name: tekton-internal-results
  - emptyDir: {}
    name: tekton-internal-steps
  - name: tekton-internal-secret-volume-gitibmcreds-tmbqv
    secret:
      defaultMode: 420
      secretName: gitibmcreds
  - name: tekton-internal-secret-volume-ace-tekton-service-account--gdrbq
    secret:
      defaultMode: 420
      secretName: ace-tekton-service-account-dockercfg-8m6cc
  - name: tekton-internal-secret-volume-ibm-ace-creds-f2h2h
    secret:
      defaultMode: 420
      secretName: ibm-ace-creds
  - name: tekton-internal-secret-volume-ocp-irreg-creds-9n54m
    secret:
      defaultMode: 420
      secretName: ocp-irreg-creds
  - emptyDir: {}
    name: tekton-internal-scripts
  - emptyDir: {}
    name: tekton-internal-bin
  - downwardAPI:
      defaultMode: 420
      items:
      - fieldRef:
          apiVersion: v1
          fieldPath: metadata.annotations['tekton.dev/ready']
        path: ready
    name: tekton-internal-downward
  - emptyDir:
      medium: Memory
    name: tekton-creds-init-home-0
  - emptyDir: {}
    name: tekton-internal-run-0
  - name: ws-zvtwn
    persistentVolumeClaim:
      claimName: tt-plr-pvc-1
  - name: kube-api-access-blw9q
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
  - configMap:
      defaultMode: 420
      items:
      - key: ca-bundle.crt
        path: ca-bundle.crt
      name: config-trusted-cabundle
    name: config-trusted-cabundle-volume
  - configMap:
      defaultMode: 420
      items:
      - key: service-ca.crt
        path: service-ca.crt
      name: config-service-cabundle
    name: config-service-cabundle-volume
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-11-08T07:06:53Z"
    reason: PodCompleted
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-11-08T07:06:56Z"
    reason: PodCompleted
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-11-08T07:06:56Z"
    reason: PodCompleted
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-11-08T07:06:50Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://bbdd1c5de9a9b7983c91b8eeefe5fc0d22b38303d85033eee4c8b5f86c057076
    image: image-registry.openshift-image-registry.svc:5000/tekton-zace/zocpansible:1.0
    imageID: image-registry.openshift-image-registry.svc:5000/tekton-zace/zocpansible@sha256:4c0b23502d22d03509824c059d1941c67e3f476a462a61244e223b04643e88bb
    lastState: {}
    name: step-runansible
    ready: false
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://bbdd1c5de9a9b7983c91b8eeefe5fc0d22b38303d85033eee4c8b5f86c057076
        exitCode: 0
        finishedAt: "2022-11-08T07:06:56Z"
        message: '[{"key":"StartedAt","value":"2022-11-08T07:06:56.238Z","type":3}]'
        reason: Completed
        startedAt: "2022-11-08T07:06:54Z"
  hostIP: 129.40.23.214
  initContainerStatuses:
  - containerID: cri-o://3621b252e205aa31b285b0fbd64d794d1a3a85431f4f7a38f0fbfccb9d1b0fd5
    image: registry.redhat.io/openshift-pipelines/pipelines-entrypoint-rhel8@sha256:6bb87c537c6ba9878688a490a572acba495dd478202bacba4d83ca2a9406b580
    imageID: registry.redhat.io/openshift-pipelines/pipelines-entrypoint-rhel8@sha256:6bb87c537c6ba9878688a490a572acba495dd478202bacba4d83ca2a9406b580
    lastState: {}
    name: prepare
    ready: true
    restartCount: 0
    state:
      terminated:
        containerID: cri-o://3621b252e205aa31b285b0fbd64d794d1a3a85431f4f7a38f0fbfccb9d1b0fd5
        exitCode: 0
        finishedAt: "2022-11-08T07:06:52Z"
        reason: Completed
        startedAt: "2022-11-08T07:06:52Z"
  - containerID: cri-o://c9d30536a17466238b05f1acc9a1ee7da55e93f04d0d411653e978c9b9d80395
    image: registry.redhat.io/ubi8/ubi-minimal@sha256:574f201d7ed185a9932c91cef5d397f5298dff9df08bc2ebb266c6d1e6284cd1
    imageID: registry.redhat.io/ubi8/ubi-minimal@sha256:1049e0a6e05d8e839060f51e3b838439f7e38d0a3497b2504da8107603c8ba92
    lastState: {}
    name: place-scripts
    ready: true
    restartCount: 0
    state:
      terminated:
        containerID: cri-o://c9d30536a17466238b05f1acc9a1ee7da55e93f04d0d411653e978c9b9d80395
        exitCode: 0
        finishedAt: "2022-11-08T07:06:53Z"
        reason: Completed
        startedAt: "2022-11-08T07:06:53Z"
  phase: Succeeded
  podIP: 10.129.2.40
  podIPs:
  - ip: 10.129.2.40
  qosClass: BestEffort
  startTime: "2022-11-08T07:06:50Z"
